--- old/usr/src/pkg/manifests/system-library.mf	2014-04-11 13:24:19.604402118 +0100
+++ new/usr/src/pkg/manifests/system-library.mf	2014-04-11 13:24:19.612382962 +0100
@@ -24,6 +24,7 @@
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2012 OmniTI Computer Consulting, Inc.  All rights reserved.
 # Copyright (c) 2013 Gary Mills
+# Copyright 2014 Andrew Stormont.
 #
 
 <include system-library.man3.inc>
@@ -78,48 +79,48 @@
 $(i386_ONLY)dir path=etc/flash/precreation group=sys mode=0700
 $(i386_ONLY)dir path=etc/flash/preexit group=sys mode=0700
 dir path=lib
-dir path=lib/$(ARCH64)
+$(BUILD64)dir path=lib/$(ARCH64)
 dir path=lib/crypto
-dir path=lib/crypto/$(ARCH64)
+$(BUILD64)dir path=lib/crypto/$(ARCH64)
 dir path=lib/mpxio
 dir path=lib/secure
-dir path=lib/secure/$(ARCH64)
+$(BUILD64)dir path=lib/secure/$(ARCH64)
 dir path=usr group=sys
 dir path=usr/bin
 dir path=usr/ccs
 dir path=usr/ccs/lib
-dir path=usr/ccs/lib/$(ARCH64)
+$(BUILD64)dir path=usr/ccs/lib/$(ARCH64)
 dir path=usr/lib
-dir path=usr/lib/$(ARCH64)
+$(BUILD64)dir path=usr/lib/$(ARCH64)
 dir path=usr/lib/cfgadm
-dir path=usr/lib/cfgadm/$(ARCH64)
-dir path=usr/lib/iconv/$(ARCH64)
+$(BUILD64)dir path=usr/lib/cfgadm/$(ARCH64)
+$(BUILD64)dir path=usr/lib/iconv/$(ARCH64)
 $(i386_ONLY)dir path=usr/lib/libc
 dir path=usr/lib/lwp
-dir path=usr/lib/lwp/$(ARCH64)
+$(BUILD64)dir path=usr/lib/lwp/$(ARCH64)
 dir path=usr/lib/python2.6
 dir path=usr/lib/python2.6/vendor-packages
 dir path=usr/lib/python2.6/vendor-packages/solaris
 dir path=usr/lib/raidcfg
-dir path=usr/lib/raidcfg/$(ARCH64)
+$(BUILD64)dir path=usr/lib/raidcfg/$(ARCH64)
 dir path=usr/lib/scsi
-dir path=usr/lib/scsi/$(ARCH64)
+$(BUILD64)dir path=usr/lib/scsi/$(ARCH64)
 dir path=usr/lib/scsi/plugins
 dir path=usr/lib/scsi/plugins/scsi
 dir path=usr/lib/scsi/plugins/scsi/engines
-dir path=usr/lib/scsi/plugins/scsi/engines/$(ARCH64)
+$(BUILD64)dir path=usr/lib/scsi/plugins/scsi/engines/$(ARCH64)
 dir path=usr/lib/scsi/plugins/ses
 dir path=usr/lib/scsi/plugins/ses/framework
-dir path=usr/lib/scsi/plugins/ses/framework/$(ARCH64)
+$(BUILD64)dir path=usr/lib/scsi/plugins/ses/framework/$(ARCH64)
 dir path=usr/lib/scsi/plugins/ses/vendor
-$(sparc_ONLY)dir path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)
+$(sparc_BUILD64)dir path=usr/lib/scsi/plugins/ses/vendor/$(ARCH64)
 dir path=usr/lib/scsi/plugins/smp
 dir path=usr/lib/scsi/plugins/smp/engine
-dir path=usr/lib/scsi/plugins/smp/engine/$(ARCH64)
+$(BUILD64)dir path=usr/lib/scsi/plugins/smp/engine/$(ARCH64)
 dir path=usr/lib/scsi/plugins/smp/framework
-dir path=usr/lib/scsi/plugins/smp/framework/$(ARCH64)
+$(BUILD64)dir path=usr/lib/scsi/plugins/smp/framework/$(ARCH64)
 dir path=usr/lib/security
-dir path=usr/lib/security/$(ARCH64)
+$(BUILD64)dir path=usr/lib/security/$(ARCH64)
 dir path=usr/share/man
 dir path=usr/share/man/man3
 dir path=usr/share/man/man3bsm
@@ -163,80 +164,80 @@
 dir path=usr/share/man/man7p
 dir path=usr/xpg4
 dir path=usr/xpg4/lib
-dir path=usr/xpg4/lib/$(ARCH64)
+$(BUILD64)dir path=usr/xpg4/lib/$(ARCH64)
 $(i386_ONLY)file path=etc/flash/precreation/caplib group=sys mode=0500
-file path=lib/$(ARCH64)/c_synonyms.so.1
-file path=lib/$(ARCH64)/ld.so.1
-file path=lib/$(ARCH64)/libadm.so.1
-file path=lib/$(ARCH64)/libaio.so.1
-file path=lib/$(ARCH64)/libavl.so.1
-file path=lib/$(ARCH64)/libbsm.so.1
-file path=lib/$(ARCH64)/libc.so.1
-file path=lib/$(ARCH64)/libc_db.so.1
-file path=lib/$(ARCH64)/libcmdutils.so.1
-file path=lib/$(ARCH64)/libcontract.so.1
-file path=lib/$(ARCH64)/libcryptoutil.so.1
-file path=lib/$(ARCH64)/libctf.so.1
-file path=lib/$(ARCH64)/libcurses.so.1
-file path=lib/$(ARCH64)/libdevice.so.1
-file path=lib/$(ARCH64)/libdevid.so.1
-file path=lib/$(ARCH64)/libdevinfo.so.1
-file path=lib/$(ARCH64)/libdhcputil.so.1
-file path=lib/$(ARCH64)/libdl.so.1
-file path=lib/$(ARCH64)/libdladm.so.1
-file path=lib/$(ARCH64)/libdlpi.so.1
-file path=lib/$(ARCH64)/libdoor.so.1
-file path=lib/$(ARCH64)/libefi.so.1
-file path=lib/$(ARCH64)/libelf.so.1
-$(i386_ONLY)file path=lib/$(ARCH64)/libfdisk.so.1
-file path=lib/$(ARCH64)/libgen.so.1
-file path=lib/$(ARCH64)/libinetutil.so.1
-file path=lib/$(ARCH64)/libintl.so.1
-file path=lib/$(ARCH64)/libkmf.so.1
-file path=lib/$(ARCH64)/libkmfberder.so.1
-file path=lib/$(ARCH64)/libkstat.so.1
-file path=lib/$(ARCH64)/libld.so.4
-file path=lib/$(ARCH64)/liblddbg.so.4
-file path=lib/$(ARCH64)/libmd.so.1
-file path=lib/$(ARCH64)/libmd5.so.1
-file path=lib/$(ARCH64)/libmp.so.2
-file path=lib/$(ARCH64)/libnsl.so.1
-file path=lib/$(ARCH64)/libnvpair.so.1
-file path=lib/$(ARCH64)/libpam.so.1
-file path=lib/$(ARCH64)/libproc.so.1
-file path=lib/$(ARCH64)/libpthread.so.1
-file path=lib/$(ARCH64)/librcm.so.1
-file path=lib/$(ARCH64)/libresolv.so.2
-file path=lib/$(ARCH64)/librestart.so.1
-file path=lib/$(ARCH64)/librpcsvc.so.1
-file path=lib/$(ARCH64)/librt.so.1
-file path=lib/$(ARCH64)/librtld.so.1
-file path=lib/$(ARCH64)/librtld_db.so.1
-file path=lib/$(ARCH64)/libscf.so.1
-file path=lib/$(ARCH64)/libsec.so.1
-file path=lib/$(ARCH64)/libsecdb.so.1
-file path=lib/$(ARCH64)/libsendfile.so.1
-file path=lib/$(ARCH64)/libsocket.so.1
-file path=lib/$(ARCH64)/libsysevent.so.1
-file path=lib/$(ARCH64)/libtermcap.so.1
-file path=lib/$(ARCH64)/libthread.so.1
-file path=lib/$(ARCH64)/libtsnet.so.1
-file path=lib/$(ARCH64)/libtsol.so.2
-file path=lib/$(ARCH64)/libumem.so.1
-file path=lib/$(ARCH64)/libuuid.so.1
-file path=lib/$(ARCH64)/libuutil.so.1
-file path=lib/$(ARCH64)/libw.so.1
-file path=lib/$(ARCH64)/libxnet.so.1
-file path=lib/$(ARCH64)/nss_compat.so.1
-file path=lib/$(ARCH64)/nss_dns.so.1
-file path=lib/$(ARCH64)/nss_files.so.1
-file path=lib/$(ARCH64)/nss_nis.so.1
-file path=lib/$(ARCH64)/nss_user.so.1
+$(BUILD64)file path=lib/$(ARCH64)/c_synonyms.so.1
+$(BUILD64)file path=lib/$(ARCH64)/ld.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libadm.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libaio.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libavl.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libbsm.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libc.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libc_db.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libcmdutils.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libcontract.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libcryptoutil.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libctf.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libcurses.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libdevice.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libdevid.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libdevinfo.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libdhcputil.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libdl.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libdladm.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libdlpi.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libdoor.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libefi.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libelf.so.1
+$(i386_BUILD64)file path=lib/$(ARCH64)/libfdisk.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libgen.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libinetutil.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libintl.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libkmf.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libkmfberder.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libkstat.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libld.so.4
+$(BUILD64)file path=lib/$(ARCH64)/liblddbg.so.4
+$(BUILD64)file path=lib/$(ARCH64)/libmd.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libmd5.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libmp.so.2
+$(BUILD64)file path=lib/$(ARCH64)/libnsl.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libnvpair.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libpam.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libproc.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libpthread.so.1
+$(BUILD64)file path=lib/$(ARCH64)/librcm.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libresolv.so.2
+$(BUILD64)file path=lib/$(ARCH64)/librestart.so.1
+$(BUILD64)file path=lib/$(ARCH64)/librpcsvc.so.1
+$(BUILD64)file path=lib/$(ARCH64)/librt.so.1
+$(BUILD64)file path=lib/$(ARCH64)/librtld.so.1
+$(BUILD64)file path=lib/$(ARCH64)/librtld_db.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libscf.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libsec.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libsecdb.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libsendfile.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libsocket.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libsysevent.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libtermcap.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libthread.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libtsnet.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libtsol.so.2
+$(BUILD64)file path=lib/$(ARCH64)/libumem.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libuuid.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libuutil.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libw.so.1
+$(BUILD64)file path=lib/$(ARCH64)/libxnet.so.1
+$(BUILD64)file path=lib/$(ARCH64)/nss_compat.so.1
+$(BUILD64)file path=lib/$(ARCH64)/nss_dns.so.1
+$(BUILD64)file path=lib/$(ARCH64)/nss_files.so.1
+$(BUILD64)file path=lib/$(ARCH64)/nss_nis.so.1
+$(BUILD64)file path=lib/$(ARCH64)/nss_user.so.1
 file path=lib/c_synonyms.so.1
-file path=lib/crypto/$(ARCH64)/kmf_mapper_cn.so.1
-file path=lib/crypto/$(ARCH64)/kmf_nss.so.1
-file path=lib/crypto/$(ARCH64)/kmf_openssl.so.1
-file path=lib/crypto/$(ARCH64)/kmf_pkcs11.so.1
+$(BUILD64)file path=lib/crypto/$(ARCH64)/kmf_mapper_cn.so.1
+$(BUILD64)file path=lib/crypto/$(ARCH64)/kmf_nss.so.1
+$(BUILD64)file path=lib/crypto/$(ARCH64)/kmf_openssl.so.1
+$(BUILD64)file path=lib/crypto/$(ARCH64)/kmf_pkcs11.so.1
 file path=lib/crypto/kmf_mapper_cn.so.1
 file path=lib/crypto/kmf_nss.so.1
 file path=lib/crypto/kmf_openssl.so.1
@@ -316,70 +317,70 @@
 file path=lib/nss_files.so.1
 file path=lib/nss_nis.so.1
 file path=lib/nss_user.so.1
-file path=usr/lib/$(ARCH64)/0@0.so.1
-file path=usr/lib/$(ARCH64)/getloginx.so.1
-file path=usr/lib/$(ARCH64)/libadutils.so.1
-file path=usr/lib/$(ARCH64)/libast.so.1
-file path=usr/lib/$(ARCH64)/libbsdmalloc.so.1
-file path=usr/lib/$(ARCH64)/libcfgadm.so.1
-file path=usr/lib/$(ARCH64)/libcmd.so.1
-file path=usr/lib/$(ARCH64)/libcommputil.so.1
-file path=usr/lib/$(ARCH64)/libcrle.so.1
-file path=usr/lib/$(ARCH64)/libcrypt.so.1
-file path=usr/lib/$(ARCH64)/libdisasm.so.1
-file path=usr/lib/$(ARCH64)/libdll.so.1
-file path=usr/lib/$(ARCH64)/libexacct.so.1
-file path=usr/lib/$(ARCH64)/libform.so.1
-file path=usr/lib/$(ARCH64)/libfstyp.so.1
-file path=usr/lib/$(ARCH64)/libhotplug.so.1
-file path=usr/lib/$(ARCH64)/libidmap.so.1
-file path=usr/lib/$(ARCH64)/libike.so.1
-file path=usr/lib/$(ARCH64)/libipmi.so.1
-file path=usr/lib/$(ARCH64)/libipp.so.1
-file path=usr/lib/$(ARCH64)/libipsecutil.so.1
-file path=usr/lib/$(ARCH64)/libkvm.so.1
-file path=usr/lib/$(ARCH64)/libl.so.1
-file path=usr/lib/$(ARCH64)/libldap.so.5
-file path=usr/lib/$(ARCH64)/liblgrp.so.1
-file path=usr/lib/$(ARCH64)/liblm.so.1
-file path=usr/lib/$(ARCH64)/libmail.so.1
-file path=usr/lib/$(ARCH64)/libmalloc.so.1
-file path=usr/lib/$(ARCH64)/libmapmalloc.so.1
-file path=usr/lib/$(ARCH64)/libmenu.so.1
-file path=usr/lib/$(ARCH64)/libmtmalloc.so.1
-file path=usr/lib/$(ARCH64)/libnls.so.1
-file path=usr/lib/$(ARCH64)/libpanel.so.1
-file path=usr/lib/$(ARCH64)/libpcidb.so.1
-file path=usr/lib/$(ARCH64)/libpkcs11.so.1
-file path=usr/lib/$(ARCH64)/libproject.so.1
-file path=usr/lib/$(ARCH64)/libraidcfg.so.1
-file path=usr/lib/$(ARCH64)/libreparse.so.1
-$(i386_ONLY)file path=usr/lib/$(ARCH64)/libsaveargs.so.1
-file path=usr/lib/$(ARCH64)/libsched.so.1
-file path=usr/lib/$(ARCH64)/libsctp.so.1
-file path=usr/lib/$(ARCH64)/libshell.so.1
-file path=usr/lib/$(ARCH64)/libsip.so.1
-file path=usr/lib/$(ARCH64)/libsldap.so.1
-file path=usr/lib/$(ARCH64)/libsmbios.so.1
-file path=usr/lib/$(ARCH64)/libsoftcrypto.so.1
-file path=usr/lib/$(ARCH64)/libsum.so.1
-$(sparc_ONLY)file path=usr/lib/$(ARCH64)/libv12n.so.1
-file path=usr/lib/$(ARCH64)/libvolmgt.so.1
-file path=usr/lib/$(ARCH64)/libwrap.so.1.0
-file path=usr/lib/$(ARCH64)/liby.so.1
-file path=usr/lib/$(ARCH64)/libzoneinfo.so.1
-file path=usr/lib/$(ARCH64)/nss_ad.so.1
-file path=usr/lib/$(ARCH64)/nss_ldap.so.1
-file path=usr/lib/$(ARCH64)/passwdutil.so.1
-file path=usr/lib/$(ARCH64)/straddr.so.2
-file path=usr/lib/$(ARCH64)/watchmalloc.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/0@0.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/getloginx.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libadutils.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libast.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libbsdmalloc.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libcfgadm.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libcmd.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libcommputil.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libcrle.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libcrypt.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libdisasm.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libdll.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libexacct.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libform.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libfstyp.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libhotplug.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libidmap.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libike.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libipmi.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libipp.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libipsecutil.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libkvm.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libl.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libldap.so.5
+$(BUILD64)file path=usr/lib/$(ARCH64)/liblgrp.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/liblm.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libmail.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libmalloc.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libmapmalloc.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libmenu.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libmtmalloc.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libnls.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libpanel.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libpcidb.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libpkcs11.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libproject.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libraidcfg.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libreparse.so.1
+$(i386_BUILD64)file path=usr/lib/$(ARCH64)/libsaveargs.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libsched.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libsctp.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libshell.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libsip.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libsldap.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libsmbios.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libsoftcrypto.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libsum.so.1
+$(sparc_BUILD64)file path=usr/lib/$(ARCH64)/libv12n.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libvolmgt.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libwrap.so.1.0
+$(BUILD64)file path=usr/lib/$(ARCH64)/liby.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/libzoneinfo.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/nss_ad.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/nss_ldap.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/passwdutil.so.1
+$(BUILD64)file path=usr/lib/$(ARCH64)/straddr.so.2
+$(BUILD64)file path=usr/lib/$(ARCH64)/watchmalloc.so.1
 file path=usr/lib/0@0.so.1
-file path=usr/lib/cfgadm/$(ARCH64)/ib.so.1
-file path=usr/lib/cfgadm/$(ARCH64)/pci.so.1
-$(i386_ONLY)file path=usr/lib/cfgadm/$(ARCH64)/sata.so.1
-file path=usr/lib/cfgadm/$(ARCH64)/scsi.so.1
-file path=usr/lib/cfgadm/$(ARCH64)/shp.so.1
-file path=usr/lib/cfgadm/$(ARCH64)/usb.so.1
+$(BUILD64)file path=usr/lib/cfgadm/$(ARCH64)/ib.so.1
+$(BUILD64)file path=usr/lib/cfgadm/$(ARCH64)/pci.so.1
+$(i386_BUILD64)file path=usr/lib/cfgadm/$(ARCH64)/sata.so.1
+$(BUILD64)file path=usr/lib/cfgadm/$(ARCH64)/scsi.so.1
+$(BUILD64)file path=usr/lib/cfgadm/$(ARCH64)/shp.so.1
+$(BUILD64)file path=usr/lib/cfgadm/$(ARCH64)/usb.so.1
 file path=usr/lib/cfgadm/ib.so.1
 file path=usr/lib/cfgadm/pci.so.1
 $(i386_ONLY)file path=usr/lib/cfgadm/sata.so.1
@@ -449,50 +450,50 @@
 file path=usr/lib/python2.6/vendor-packages/solaris/__init__.py
 file path=usr/lib/python2.6/vendor-packages/solaris/__init__.pyc
 file path=usr/lib/python2.6/vendor-packages/solaris/misc.so
-file path=usr/lib/raidcfg/$(ARCH64)/mpt.so.1
+$(BUILD64)file path=usr/lib/raidcfg/$(ARCH64)/mpt.so.1
 file path=usr/lib/raidcfg/mpt.so.1
-file path=usr/lib/scsi/$(ARCH64)/libscsi.so.1
-file path=usr/lib/scsi/$(ARCH64)/libses.so.1
-file path=usr/lib/scsi/$(ARCH64)/libsmp.so.1
+$(BUILD64)file path=usr/lib/scsi/$(ARCH64)/libscsi.so.1
+$(BUILD64)file path=usr/lib/scsi/$(ARCH64)/libses.so.1
+$(BUILD64)file path=usr/lib/scsi/$(ARCH64)/libsmp.so.1
 file path=usr/lib/scsi/libscsi.so.1
 file path=usr/lib/scsi/libses.so.1
 file path=usr/lib/scsi/libsmp.so.1
-file path=usr/lib/scsi/plugins/scsi/engines/$(ARCH64)/uscsi.so
+$(BUILD64)file path=usr/lib/scsi/plugins/scsi/engines/$(ARCH64)/uscsi.so
 file path=usr/lib/scsi/plugins/scsi/engines/uscsi.so
-file path=usr/lib/scsi/plugins/ses/framework/$(ARCH64)/libses.so
-file path=usr/lib/scsi/plugins/ses/framework/$(ARCH64)/ses2.so
+$(BUILD64)file path=usr/lib/scsi/plugins/ses/framework/$(ARCH64)/libses.so
+$(BUILD64)file path=usr/lib/scsi/plugins/ses/framework/$(ARCH64)/ses2.so
 file path=usr/lib/scsi/plugins/ses/framework/libses.so
 file path=usr/lib/scsi/plugins/ses/framework/ses2.so
-file path=usr/lib/scsi/plugins/smp/engine/$(ARCH64)/usmp.so
+$(BUILD64)file path=usr/lib/scsi/plugins/smp/engine/$(ARCH64)/usmp.so
 file path=usr/lib/scsi/plugins/smp/engine/usmp.so
-file path=usr/lib/scsi/plugins/smp/framework/$(ARCH64)/sas2.so
+$(BUILD64)file path=usr/lib/scsi/plugins/smp/framework/$(ARCH64)/sas2.so
 file path=usr/lib/scsi/plugins/smp/framework/sas2.so
-file path=usr/lib/security/$(ARCH64)/crypt_bsdbf.so.1
-file path=usr/lib/security/$(ARCH64)/crypt_bsdmd5.so.1
-file path=usr/lib/security/$(ARCH64)/crypt_sha256.so.1
-file path=usr/lib/security/$(ARCH64)/crypt_sha512.so.1
-file path=usr/lib/security/$(ARCH64)/crypt_sunmd5.so.1
-file path=usr/lib/security/$(ARCH64)/pam_allow.so.1
-file path=usr/lib/security/$(ARCH64)/pam_authtok_check.so.1
-file path=usr/lib/security/$(ARCH64)/pam_authtok_get.so.1
-file path=usr/lib/security/$(ARCH64)/pam_authtok_store.so.1
-file path=usr/lib/security/$(ARCH64)/pam_deny.so.1
-file path=usr/lib/security/$(ARCH64)/pam_dhkeys.so.1
-file path=usr/lib/security/$(ARCH64)/pam_dial_auth.so.1
-file path=usr/lib/security/$(ARCH64)/pam_ldap.so.1
-file path=usr/lib/security/$(ARCH64)/pam_list.so.1
-file path=usr/lib/security/$(ARCH64)/pam_passwd_auth.so.1
-file path=usr/lib/security/$(ARCH64)/pam_rhosts_auth.so.1
-file path=usr/lib/security/$(ARCH64)/pam_roles.so.1
-file path=usr/lib/security/$(ARCH64)/pam_sample.so.1
-file path=usr/lib/security/$(ARCH64)/pam_tsol_account.so.1
-file path=usr/lib/security/$(ARCH64)/pam_unix_account.so.1
-file path=usr/lib/security/$(ARCH64)/pam_unix_auth.so.1
-file path=usr/lib/security/$(ARCH64)/pam_unix_cred.so.1
-file path=usr/lib/security/$(ARCH64)/pam_unix_session.so.1
-file path=usr/lib/security/$(ARCH64)/pkcs11_kernel.so.1
-file path=usr/lib/security/$(ARCH64)/pkcs11_softtoken.so.1
-file path=usr/lib/security/$(ARCH64)/pkcs11_tpm.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/crypt_bsdbf.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/crypt_bsdmd5.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/crypt_sha256.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/crypt_sha512.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/crypt_sunmd5.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pam_allow.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pam_authtok_check.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pam_authtok_get.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pam_authtok_store.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pam_deny.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pam_dhkeys.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pam_dial_auth.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pam_ldap.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pam_list.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pam_passwd_auth.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pam_rhosts_auth.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pam_roles.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pam_sample.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pam_tsol_account.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pam_unix_account.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pam_unix_auth.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pam_unix_cred.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pam_unix_session.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pkcs11_kernel.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pkcs11_softtoken.so.1
+$(BUILD64)file path=usr/lib/security/$(ARCH64)/pkcs11_tpm.so.1
 file path=usr/lib/security/audit_binfile.so.1
 file path=usr/lib/security/audit_remote.so.1
 file path=usr/lib/security/audit_syslog.so.1
@@ -525,8 +526,8 @@
 file path=usr/lib/straddr.so.2
 file path=usr/lib/watchmalloc.so.1
 # XXX: Obsoleted by open i18n?
-file path=usr/xpg4/lib/$(ARCH64)/libcurses.so.1
-file path=usr/xpg4/lib/$(ARCH64)/libcurses.so.2
+$(BUILD64)file path=usr/xpg4/lib/$(ARCH64)/libcurses.so.1
+$(BUILD64)file path=usr/xpg4/lib/$(ARCH64)/libcurses.so.2
 file path=usr/xpg4/lib/libcurses.so.1
 file path=usr/xpg4/lib/libcurses.so.2
 legacy pkg=SUNWcsl \
@@ -588,69 +589,69 @@
     license=usr/src/lib/pkcs11/pkcs11_tpm/THIRDPARTYLICENSE
 license usr/src/uts/common/sys/THIRDPARTYLICENSE.unicode \
     license=usr/src/uts/common/sys/THIRDPARTYLICENSE.unicode
-link path=lib/$(ARCH64)/libadm.so target=libadm.so.1
-link path=lib/$(ARCH64)/libaio.so target=libaio.so.1
-link path=lib/$(ARCH64)/libbsm.so target=libbsm.so.1
-link path=lib/$(ARCH64)/libc.so reboot-needed=true target=libc.so.1
-link path=lib/$(ARCH64)/libc_db.so target=libc_db.so.1
-link path=lib/$(ARCH64)/libcontract.so target=libcontract.so.1
-link path=lib/$(ARCH64)/libcryptoutil.so target=libcryptoutil.so.1
-link path=lib/$(ARCH64)/libctf.so target=libctf.so.1
-link path=lib/$(ARCH64)/libcurses.so target=libcurses.so.1
-link path=lib/$(ARCH64)/libdevice.so target=libdevice.so.1
-link path=lib/$(ARCH64)/libdevid.so target=libdevid.so.1
-link path=lib/$(ARCH64)/libdevinfo.so target=libdevinfo.so.1
-link path=lib/$(ARCH64)/libdl.so target=libdl.so.1
-link path=lib/$(ARCH64)/libdladm.so target=libdladm.so.1
-link path=lib/$(ARCH64)/libdlpi.so target=libdlpi.so.1
-link path=lib/$(ARCH64)/libdoor.so target=libdoor.so.1
-link path=lib/$(ARCH64)/libefi.so target=libefi.so.1
-link path=lib/$(ARCH64)/libelf.so target=libelf.so.1
-$(i386_ONLY)link path=lib/$(ARCH64)/libfdisk.so target=libfdisk.so.1
-link path=lib/$(ARCH64)/libgen.so target=libgen.so.1
-link path=lib/$(ARCH64)/libintl.so target=libintl.so.1
-link path=lib/$(ARCH64)/libkmf.so target=libkmf.so.1
-link path=lib/$(ARCH64)/libkmfberder.so target=libkmfberder.so.1
-link path=lib/$(ARCH64)/libkstat.so target=libkstat.so.1
-link path=lib/$(ARCH64)/libmd.so target=libmd.so.1
-link path=lib/$(ARCH64)/libmd5.so target=libmd5.so.1
-link path=lib/$(ARCH64)/libmp.so target=libmp.so.2
-link path=lib/$(ARCH64)/libnsl.so target=libnsl.so.1
-link path=lib/$(ARCH64)/libnvpair.so target=libnvpair.so.1
-link path=lib/$(ARCH64)/libpam.so target=libpam.so.1
-link path=lib/$(ARCH64)/libposix4.so target=libposix4.so.1
-link path=lib/$(ARCH64)/libposix4.so.1 target=librt.so.1
-link path=lib/$(ARCH64)/libproc.so target=libproc.so.1
-link path=lib/$(ARCH64)/libpthread.so target=libpthread.so.1
-link path=lib/$(ARCH64)/librcm.so target=librcm.so.1
-link path=lib/$(ARCH64)/libresolv.so target=libresolv.so.2
-link path=lib/$(ARCH64)/librestart.so target=librestart.so.1
-link path=lib/$(ARCH64)/librpcsvc.so target=librpcsvc.so.1
-link path=lib/$(ARCH64)/librt.so target=librt.so.1
-link path=lib/$(ARCH64)/librtld_db.so target=librtld_db.so.1
-link path=lib/$(ARCH64)/libscf.so target=libscf.so.1
-link path=lib/$(ARCH64)/libsec.so target=libsec.so.1
-link path=lib/$(ARCH64)/libsecdb.so target=libsecdb.so.1
-link path=lib/$(ARCH64)/libsendfile.so target=libsendfile.so.1
-link path=lib/$(ARCH64)/libsocket.so target=libsocket.so.1
-link path=lib/$(ARCH64)/libsysevent.so target=libsysevent.so.1
-link path=lib/$(ARCH64)/libtermcap.so target=libtermcap.so.1
-link path=lib/$(ARCH64)/libtermlib.so target=libtermlib.so.1
-link path=lib/$(ARCH64)/libtermlib.so.1 target=libcurses.so.1
-link path=lib/$(ARCH64)/libthread.so target=libthread.so.1
-link path=lib/$(ARCH64)/libthread_db.so target=libc_db.so.1
-link path=lib/$(ARCH64)/libthread_db.so.1 target=libc_db.so.1
-link path=lib/$(ARCH64)/libtsnet.so target=libtsnet.so.1
-link path=lib/$(ARCH64)/libtsol.so target=libtsol.so.2
-link path=lib/$(ARCH64)/libumem.so target=libumem.so.1
-link path=lib/$(ARCH64)/libuuid.so target=libuuid.so.1
-link path=lib/$(ARCH64)/libuutil.so target=libuutil.so.1
-link path=lib/$(ARCH64)/libw.so target=libw.so.1
-link path=lib/$(ARCH64)/libxnet.so target=libxnet.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libadm.so target=libadm.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libaio.so target=libaio.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libbsm.so target=libbsm.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libc.so reboot-needed=true target=libc.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libc_db.so target=libc_db.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libcontract.so target=libcontract.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libcryptoutil.so target=libcryptoutil.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libctf.so target=libctf.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libcurses.so target=libcurses.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libdevice.so target=libdevice.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libdevid.so target=libdevid.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libdevinfo.so target=libdevinfo.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libdl.so target=libdl.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libdladm.so target=libdladm.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libdlpi.so target=libdlpi.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libdoor.so target=libdoor.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libefi.so target=libefi.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libelf.so target=libelf.so.1
+$(i386_BUILD64)link path=lib/$(ARCH64)/libfdisk.so target=libfdisk.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libgen.so target=libgen.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libintl.so target=libintl.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libkmf.so target=libkmf.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libkmfberder.so target=libkmfberder.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libkstat.so target=libkstat.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libmd.so target=libmd.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libmd5.so target=libmd5.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libmp.so target=libmp.so.2
+$(BUILD64)link path=lib/$(ARCH64)/libnsl.so target=libnsl.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libnvpair.so target=libnvpair.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libpam.so target=libpam.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libposix4.so target=libposix4.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libposix4.so.1 target=librt.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libproc.so target=libproc.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libpthread.so target=libpthread.so.1
+$(BUILD64)link path=lib/$(ARCH64)/librcm.so target=librcm.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libresolv.so target=libresolv.so.2
+$(BUILD64)link path=lib/$(ARCH64)/librestart.so target=librestart.so.1
+$(BUILD64)link path=lib/$(ARCH64)/librpcsvc.so target=librpcsvc.so.1
+$(BUILD64)link path=lib/$(ARCH64)/librt.so target=librt.so.1
+$(BUILD64)link path=lib/$(ARCH64)/librtld_db.so target=librtld_db.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libscf.so target=libscf.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libsec.so target=libsec.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libsecdb.so target=libsecdb.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libsendfile.so target=libsendfile.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libsocket.so target=libsocket.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libsysevent.so target=libsysevent.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libtermcap.so target=libtermcap.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libtermlib.so target=libtermlib.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libtermlib.so.1 target=libcurses.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libthread.so target=libthread.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libthread_db.so target=libc_db.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libthread_db.so.1 target=libc_db.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libtsnet.so target=libtsnet.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libtsol.so target=libtsol.so.2
+$(BUILD64)link path=lib/$(ARCH64)/libumem.so target=libumem.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libuuid.so target=libuuid.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libuutil.so target=libuutil.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libw.so target=libw.so.1
+$(BUILD64)link path=lib/$(ARCH64)/libxnet.so target=libxnet.so.1
 link path=lib/32 target=.
-link path=lib/64 target=$(ARCH64)
+$(BUILD64)link path=lib/64 target=$(ARCH64)
 link path=lib/crypto/32 target=.
-link path=lib/crypto/64 target=$(ARCH64)
+$(BUILD64)link path=lib/crypto/64 target=$(ARCH64)
 link path=lib/libadm.so target=libadm.so.1
 link path=lib/libaio.so target=libaio.so.1
 link path=lib/libbsm.so target=libbsm.so.1
@@ -711,26 +712,26 @@
 link path=lib/libw.so target=libw.so.1
 link path=lib/libxnet.so target=libxnet.so.1
 link path=lib/secure/32 target=.
-link path=lib/secure/64 target=$(ARCH64)
-link path=usr/ccs/lib/$(ARCH64)/libcurses.so \
+$(BUILD64)link path=lib/secure/64 target=$(ARCH64)
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/libcurses.so \
     target=../../../../lib/$(ARCH64)/libcurses.so.1
-link path=usr/ccs/lib/$(ARCH64)/libform.so \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/libform.so \
     target=../../../lib/$(ARCH64)/libform.so.1
-link path=usr/ccs/lib/$(ARCH64)/libgen.so \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/libgen.so \
     target=../../../../lib/$(ARCH64)/libgen.so.1
-link path=usr/ccs/lib/$(ARCH64)/libl.so \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/libl.so \
     target=../../../lib/$(ARCH64)/libl.so.1
-link path=usr/ccs/lib/$(ARCH64)/libmalloc.so \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/libmalloc.so \
     target=../../../lib/$(ARCH64)/libmalloc.so.1
-link path=usr/ccs/lib/$(ARCH64)/libmenu.so \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/libmenu.so \
     target=../../../lib/$(ARCH64)/libmenu.so.1
-link path=usr/ccs/lib/$(ARCH64)/libpanel.so \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/libpanel.so \
     target=../../../lib/$(ARCH64)/libpanel.so.1
-link path=usr/ccs/lib/$(ARCH64)/libtermcap.so \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/libtermcap.so \
     target=../../../../lib/$(ARCH64)/libtermcap.so.1
-link path=usr/ccs/lib/$(ARCH64)/libtermlib.so \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/libtermlib.so \
     target=../../../../lib/$(ARCH64)/libcurses.so.1
-link path=usr/ccs/lib/$(ARCH64)/liby.so \
+$(BUILD64)link path=usr/ccs/lib/$(ARCH64)/liby.so \
     target=../../../lib/$(ARCH64)/liby.so.1
 link path=usr/ccs/lib/libcurses.so target=../../../lib/libcurses.so.1
 link path=usr/ccs/lib/libform.so target=../../lib/libform.so.1
@@ -742,282 +743,291 @@
 link path=usr/ccs/lib/libtermcap.so target=../../../lib/libtermcap.so.1
 link path=usr/ccs/lib/libtermlib.so target=../../../lib/libcurses.so.1
 link path=usr/ccs/lib/liby.so target=../../lib/liby.so.1
-link path=usr/lib/$(ARCH64)/libadm.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libadm.so \
     target=../../../lib/$(ARCH64)/libadm.so.1
-link path=usr/lib/$(ARCH64)/libadm.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libadm.so.1 \
     target=../../../lib/$(ARCH64)/libadm.so.1
-link path=usr/lib/$(ARCH64)/libadutils.so target=./libadutils.so.1
-link path=usr/lib/$(ARCH64)/libaio.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libadutils.so target=./libadutils.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libaio.so \
     target=../../../lib/$(ARCH64)/libaio.so.1
-link path=usr/lib/$(ARCH64)/libaio.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libaio.so.1 \
     target=../../../lib/$(ARCH64)/libaio.so.1
-link path=usr/lib/$(ARCH64)/libavl.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libavl.so.1 \
     target=../../../lib/$(ARCH64)/libavl.so.1
-link path=usr/lib/$(ARCH64)/libbsdmalloc.so target=libbsdmalloc.so.1
-link path=usr/lib/$(ARCH64)/libbsm.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libbsdmalloc.so target=libbsdmalloc.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libbsm.so \
     target=../../../lib/$(ARCH64)/libbsm.so.1
-link path=usr/lib/$(ARCH64)/libbsm.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libbsm.so.1 \
     target=../../../lib/$(ARCH64)/libbsm.so.1
-link path=usr/lib/$(ARCH64)/libc.so target=../../../lib/$(ARCH64)/libc.so.1
-link path=usr/lib/$(ARCH64)/libc.so.1 target=../../../lib/$(ARCH64)/libc.so.1
-link path=usr/lib/$(ARCH64)/libc_db.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libc.so \
+    target=../../../lib/$(ARCH64)/libc.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libc.so.1 \
+    target=../../../lib/$(ARCH64)/libc.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libc_db.so \
     target=../../../lib/$(ARCH64)/libc_db.so.1
-link path=usr/lib/$(ARCH64)/libc_db.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libc_db.so.1 \
     target=../../../lib/$(ARCH64)/libc_db.so.1
-link path=usr/lib/$(ARCH64)/libcfgadm.so target=libcfgadm.so.1
-link path=usr/lib/$(ARCH64)/libcmd.so target=libcmd.so.1
-link path=usr/lib/$(ARCH64)/libcmdutils.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libcfgadm.so target=libcfgadm.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libcmd.so target=libcmd.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libcmdutils.so.1 \
     target=../../../lib/$(ARCH64)/libcmdutils.so.1
-link path=usr/lib/$(ARCH64)/libcommputil.so target=libcommputil.so.1
-link path=usr/lib/$(ARCH64)/libcontract.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libcommputil.so target=libcommputil.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libcontract.so \
     target=../../../lib/$(ARCH64)/libcontract.so.1
-link path=usr/lib/$(ARCH64)/libcontract.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libcontract.so.1 \
     target=../../../lib/$(ARCH64)/libcontract.so.1
-link path=usr/lib/$(ARCH64)/libcrypt.so target=./libcrypt.so.1
-link path=usr/lib/$(ARCH64)/libcrypt_d.so target=./libcrypt.so
-link path=usr/lib/$(ARCH64)/libcrypt_d.so.1 target=./libcrypt.so.1
-link path=usr/lib/$(ARCH64)/libcrypt_i.so target=./libcrypt.so
-link path=usr/lib/$(ARCH64)/libcrypt_i.so.1 target=./libcrypt.so.1
-link path=usr/lib/$(ARCH64)/libctf.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libcrypt.so target=./libcrypt.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libcrypt_d.so target=./libcrypt.so
+$(BUILD64)link path=usr/lib/$(ARCH64)/libcrypt_d.so.1 target=./libcrypt.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libcrypt_i.so target=./libcrypt.so
+$(BUILD64)link path=usr/lib/$(ARCH64)/libcrypt_i.so.1 target=./libcrypt.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libctf.so \
     target=../../../lib/$(ARCH64)/libctf.so.1
-link path=usr/lib/$(ARCH64)/libctf.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libctf.so.1 \
     target=../../../lib/$(ARCH64)/libctf.so.1
-link path=usr/lib/$(ARCH64)/libcurses.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libcurses.so \
     target=../../../lib/$(ARCH64)/libcurses.so.1
-link path=usr/lib/$(ARCH64)/libcurses.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libcurses.so.1 \
     target=../../../lib/$(ARCH64)/libcurses.so.1
-link path=usr/lib/$(ARCH64)/libdevice.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libdevice.so \
     target=../../../lib/$(ARCH64)/libdevice.so.1
-link path=usr/lib/$(ARCH64)/libdevice.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libdevice.so.1 \
     target=../../../lib/$(ARCH64)/libdevice.so.1
-link path=usr/lib/$(ARCH64)/libdevid.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libdevid.so \
     target=../../../lib/$(ARCH64)/libdevid.so.1
-link path=usr/lib/$(ARCH64)/libdevid.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libdevid.so.1 \
     target=../../../lib/$(ARCH64)/libdevid.so.1
-link path=usr/lib/$(ARCH64)/libdevinfo.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libdevinfo.so \
     target=../../../lib/$(ARCH64)/libdevinfo.so.1
-link path=usr/lib/$(ARCH64)/libdevinfo.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libdevinfo.so.1 \
     target=../../../lib/$(ARCH64)/libdevinfo.so.1
-link path=usr/lib/$(ARCH64)/libdhcputil.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libdhcputil.so.1 \
     target=../../../lib/$(ARCH64)/libdhcputil.so.1
-link path=usr/lib/$(ARCH64)/libdisasm.so target=libdisasm.so.1
-link path=usr/lib/$(ARCH64)/libdl.so target=../../../lib/$(ARCH64)/libdl.so.1
-link path=usr/lib/$(ARCH64)/libdl.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libdisasm.so target=libdisasm.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libdl.so \
     target=../../../lib/$(ARCH64)/libdl.so.1
-link path=usr/lib/$(ARCH64)/libdlpi.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libdl.so.1 \
+    target=../../../lib/$(ARCH64)/libdl.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libdlpi.so \
     target=../../../lib/$(ARCH64)/libdlpi.so.1
-link path=usr/lib/$(ARCH64)/libdlpi.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libdlpi.so.1 \
     target=../../../lib/$(ARCH64)/libdlpi.so.1
-link path=usr/lib/$(ARCH64)/libdoor.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libdoor.so \
     target=../../../lib/$(ARCH64)/libdoor.so.1
-link path=usr/lib/$(ARCH64)/libdoor.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libdoor.so.1 \
     target=../../../lib/$(ARCH64)/libdoor.so.1
-link path=usr/lib/$(ARCH64)/libefi.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libefi.so \
     target=../../../lib/$(ARCH64)/libefi.so.1
-link path=usr/lib/$(ARCH64)/libefi.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libefi.so.1 \
     target=../../../lib/$(ARCH64)/libefi.so.1
-link path=usr/lib/$(ARCH64)/libelf.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libelf.so \
     target=../../../lib/$(ARCH64)/libelf.so.1
-link path=usr/lib/$(ARCH64)/libelf.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libelf.so.1 \
     target=../../../lib/$(ARCH64)/libelf.so.1
-link path=usr/lib/$(ARCH64)/libexacct.so target=libexacct.so.1
-$(i386_ONLY)link path=usr/lib/$(ARCH64)/libfdisk.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libexacct.so target=libexacct.so.1
+$(i386_BUILD64)link path=usr/lib/$(ARCH64)/libfdisk.so \
     target=../../../lib/$(ARCH64)/libfdisk.so.1
-$(i386_ONLY)link path=usr/lib/$(ARCH64)/libfdisk.so.1 \
+$(i386_BUILD64)link path=usr/lib/$(ARCH64)/libfdisk.so.1 \
     target=../../../lib/$(ARCH64)/libfdisk.so.1
-link path=usr/lib/$(ARCH64)/libform.so target=libform.so.1
-link path=usr/lib/$(ARCH64)/libfstyp.so target=./libfstyp.so.1
-link path=usr/lib/$(ARCH64)/libgen.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libform.so target=libform.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libfstyp.so target=./libfstyp.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libgen.so \
     target=../../../lib/$(ARCH64)/libgen.so.1
-link path=usr/lib/$(ARCH64)/libgen.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libgen.so.1 \
     target=../../../lib/$(ARCH64)/libgen.so.1
-link path=usr/lib/$(ARCH64)/libhotplug.so target=libhotplug.so.1
-link path=usr/lib/$(ARCH64)/libidmap.so target=./libidmap.so.1
-link path=usr/lib/$(ARCH64)/libinetutil.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libhotplug.so target=libhotplug.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libidmap.so target=./libidmap.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libinetutil.so.1 \
     target=../../../lib/$(ARCH64)/libinetutil.so.1
-link path=usr/lib/$(ARCH64)/libintl.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libintl.so \
     target=../../../lib/$(ARCH64)/libintl.so.1
-link path=usr/lib/$(ARCH64)/libintl.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libintl.so.1 \
     target=../../../lib/$(ARCH64)/libintl.so.1
-link path=usr/lib/$(ARCH64)/libipmi.so target=./libipmi.so.1
-link path=usr/lib/$(ARCH64)/libipp.so target=libipp.so.1
-link path=usr/lib/$(ARCH64)/libkstat.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libipmi.so target=./libipmi.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libipp.so target=libipp.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libkstat.so \
     target=../../../lib/$(ARCH64)/libkstat.so.1
-link path=usr/lib/$(ARCH64)/libkstat.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libkstat.so.1 \
     target=../../../lib/$(ARCH64)/libkstat.so.1
-link path=usr/lib/$(ARCH64)/libkvm.so target=libkvm.so.1
-link path=usr/lib/$(ARCH64)/libl.so target=libl.so.1
-link path=usr/lib/$(ARCH64)/libldap.so target=libldap.so.5
-link path=usr/lib/$(ARCH64)/liblddbg.so.4 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libkvm.so target=libkvm.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libl.so target=libl.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libldap.so target=libldap.so.5
+$(BUILD64)link path=usr/lib/$(ARCH64)/liblddbg.so.4 \
     target=../../../lib/$(ARCH64)/liblddbg.so.4
-link path=usr/lib/$(ARCH64)/liblgrp.so target=liblgrp.so.1
-link path=usr/lib/$(ARCH64)/liblm.so target=liblm.so.1
-link path=usr/lib/$(ARCH64)/libmail.so target=libmail.so.1
-link path=usr/lib/$(ARCH64)/libmalloc.so target=libmalloc.so.1
-link path=usr/lib/$(ARCH64)/libmapmalloc.so target=libmapmalloc.so.1
-link path=usr/lib/$(ARCH64)/libmd.so target=../../../lib/$(ARCH64)/libmd.so.1
-link path=usr/lib/$(ARCH64)/libmd.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/liblgrp.so target=liblgrp.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/liblm.so target=liblm.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libmail.so target=libmail.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libmalloc.so target=libmalloc.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libmapmalloc.so target=libmapmalloc.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libmd.so \
+    target=../../../lib/$(ARCH64)/libmd.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libmd.so.1 \
     target=../../../lib/$(ARCH64)/libmd.so.1
-link path=usr/lib/$(ARCH64)/libmd5.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libmd5.so \
     target=../../../lib/$(ARCH64)/libmd5.so.1
-link path=usr/lib/$(ARCH64)/libmd5.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libmd5.so.1 \
     target=../../../lib/$(ARCH64)/libmd5.so.1
-link path=usr/lib/$(ARCH64)/libmenu.so target=libmenu.so.1
-link path=usr/lib/$(ARCH64)/libmp.so target=../../../lib/$(ARCH64)/libmp.so.2
-link path=usr/lib/$(ARCH64)/libmp.so.2 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libmenu.so target=libmenu.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libmp.so \
     target=../../../lib/$(ARCH64)/libmp.so.2
-link path=usr/lib/$(ARCH64)/libmtmalloc.so target=libmtmalloc.so.1
-link path=usr/lib/$(ARCH64)/libnls.so target=libnls.so.1
-link path=usr/lib/$(ARCH64)/libnsl.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libmp.so.2 \
+    target=../../../lib/$(ARCH64)/libmp.so.2
+$(BUILD64)link path=usr/lib/$(ARCH64)/libmtmalloc.so target=libmtmalloc.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libnls.so target=libnls.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libnsl.so \
     target=../../../lib/$(ARCH64)/libnsl.so.1
-link path=usr/lib/$(ARCH64)/libnsl.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libnsl.so.1 \
     target=../../../lib/$(ARCH64)/libnsl.so.1
-link path=usr/lib/$(ARCH64)/libnvpair.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libnvpair.so \
     target=../../../lib/$(ARCH64)/libnvpair.so.1
-link path=usr/lib/$(ARCH64)/libnvpair.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libnvpair.so.1 \
     target=../../../lib/$(ARCH64)/libnvpair.so.1
-link path=usr/lib/$(ARCH64)/libpam.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libpam.so \
     target=../../../lib/$(ARCH64)/libpam.so.1
-link path=usr/lib/$(ARCH64)/libpam.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libpam.so.1 \
     target=../../../lib/$(ARCH64)/libpam.so.1
-link path=usr/lib/$(ARCH64)/libpanel.so target=libpanel.so.1
-link path=usr/lib/$(ARCH64)/libpkcs11.so target=libpkcs11.so.1
-link path=usr/lib/$(ARCH64)/libposix4.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libpanel.so target=libpanel.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libpkcs11.so target=libpkcs11.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libposix4.so \
     target=../../../lib/$(ARCH64)/librt.so.1
-link path=usr/lib/$(ARCH64)/libposix4.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libposix4.so.1 \
     target=../../../lib/$(ARCH64)/librt.so.1
-link path=usr/lib/$(ARCH64)/libproc.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libproc.so \
     target=../../../lib/$(ARCH64)/libproc.so.1
-link path=usr/lib/$(ARCH64)/libproc.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libproc.so.1 \
     target=../../../lib/$(ARCH64)/libproc.so.1
-link path=usr/lib/$(ARCH64)/libproject.so target=libproject.so.1
-link path=usr/lib/$(ARCH64)/libpthread.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libproject.so target=libproject.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libpthread.so \
     target=../../../lib/$(ARCH64)/libpthread.so.1
-link path=usr/lib/$(ARCH64)/libpthread.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libpthread.so.1 \
     target=../../../lib/$(ARCH64)/libpthread.so.1
-link path=usr/lib/$(ARCH64)/librcm.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/librcm.so \
     target=../../../lib/$(ARCH64)/librcm.so.1
-link path=usr/lib/$(ARCH64)/librcm.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/librcm.so.1 \
     target=../../../lib/$(ARCH64)/librcm.so.1
-link path=usr/lib/$(ARCH64)/libreparse.so target=libreparse.so.1
-link path=usr/lib/$(ARCH64)/libresolv.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libreparse.so target=libreparse.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libresolv.so \
     target=../../../lib/$(ARCH64)/libresolv.so.2
-link path=usr/lib/$(ARCH64)/libresolv.so.2 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libresolv.so.2 \
     target=../../../lib/$(ARCH64)/libresolv.so.2
-$(i386_ONLY)link path=usr/lib/$(ARCH64)/librestart.so \
+$(i386_BUILD64)link path=usr/lib/$(ARCH64)/librestart.so \
     target=../../../lib/$(ARCH64)/librestart.so.1
-link path=usr/lib/$(ARCH64)/librestart.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/librestart.so.1 \
     target=../../../lib/$(ARCH64)/librestart.so.1
-link path=usr/lib/$(ARCH64)/librpcsvc.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/librpcsvc.so \
     target=../../../lib/$(ARCH64)/librpcsvc.so.1
-link path=usr/lib/$(ARCH64)/librpcsvc.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/librpcsvc.so.1 \
     target=../../../lib/$(ARCH64)/librpcsvc.so.1
-link path=usr/lib/$(ARCH64)/librt.so target=../../../lib/$(ARCH64)/librt.so.1
-link path=usr/lib/$(ARCH64)/librt.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/librt.so \
+    target=../../../lib/$(ARCH64)/librt.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/librt.so.1 \
     target=../../../lib/$(ARCH64)/librt.so.1
-link path=usr/lib/$(ARCH64)/librtld.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/librtld.so.1 \
     target=../../../lib/$(ARCH64)/librtld.so.1
-link path=usr/lib/$(ARCH64)/librtld_db.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/librtld_db.so \
     target=../../../lib/$(ARCH64)/librtld_db.so.1
-link path=usr/lib/$(ARCH64)/librtld_db.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/librtld_db.so.1 \
     target=../../../lib/$(ARCH64)/librtld_db.so.1
-link path=usr/lib/$(ARCH64)/libscf.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libscf.so \
     target=../../../lib/$(ARCH64)/libscf.so.1
-link path=usr/lib/$(ARCH64)/libscf.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libscf.so.1 \
     target=../../../lib/$(ARCH64)/libscf.so.1
-link path=usr/lib/$(ARCH64)/libsched.so target=libsched.so.1
-link path=usr/lib/$(ARCH64)/libsctp.so target=./libsctp.so.1
-link path=usr/lib/$(ARCH64)/libsec.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libsched.so target=libsched.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libsctp.so target=./libsctp.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libsec.so \
     target=../../../lib/$(ARCH64)/libsec.so.1
-link path=usr/lib/$(ARCH64)/libsec.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libsec.so.1 \
     target=../../../lib/$(ARCH64)/libsec.so.1
-link path=usr/lib/$(ARCH64)/libsecdb.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libsecdb.so \
     target=../../../lib/$(ARCH64)/libsecdb.so.1
-link path=usr/lib/$(ARCH64)/libsecdb.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libsecdb.so.1 \
     target=../../../lib/$(ARCH64)/libsecdb.so.1
-link path=usr/lib/$(ARCH64)/libsendfile.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libsendfile.so \
     target=../../../lib/$(ARCH64)/libsendfile.so.1
-link path=usr/lib/$(ARCH64)/libsendfile.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libsendfile.so.1 \
     target=../../../lib/$(ARCH64)/libsendfile.so.1
-link path=usr/lib/$(ARCH64)/libsip.so target=./libsip.so.1
-link path=usr/lib/$(ARCH64)/libsldap.so target=libsldap.so.1
-link path=usr/lib/$(ARCH64)/libsmbios.so target=libsmbios.so.1
-link path=usr/lib/$(ARCH64)/libsocket.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libsip.so target=./libsip.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libsldap.so target=libsldap.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libsmbios.so target=libsmbios.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libsocket.so \
     target=../../../lib/$(ARCH64)/libsocket.so.1
-link path=usr/lib/$(ARCH64)/libsocket.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libsocket.so.1 \
     target=../../../lib/$(ARCH64)/libsocket.so.1
-link path=usr/lib/$(ARCH64)/libsoftcrypto.so target=./libsoftcrypto.so.1
-link path=usr/lib/$(ARCH64)/libsysevent.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libsoftcrypto.so \
+    target=./libsoftcrypto.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libsysevent.so \
     target=../../../lib/$(ARCH64)/libsysevent.so.1
-link path=usr/lib/$(ARCH64)/libsysevent.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libsysevent.so.1 \
     target=../../../lib/$(ARCH64)/libsysevent.so.1
-link path=usr/lib/$(ARCH64)/libtermcap.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libtermcap.so \
     target=../../../lib/$(ARCH64)/libtermcap.so.1
-link path=usr/lib/$(ARCH64)/libtermcap.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libtermcap.so.1 \
     target=../../../lib/$(ARCH64)/libtermcap.so.1
-link path=usr/lib/$(ARCH64)/libtermlib.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libtermlib.so \
     target=../../../lib/$(ARCH64)/libcurses.so.1
-link path=usr/lib/$(ARCH64)/libtermlib.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libtermlib.so.1 \
     target=../../../lib/$(ARCH64)/libcurses.so.1
-link path=usr/lib/$(ARCH64)/libthread.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libthread.so \
     target=../../../lib/$(ARCH64)/libthread.so.1
-link path=usr/lib/$(ARCH64)/libthread.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libthread.so.1 \
     target=../../../lib/$(ARCH64)/libthread.so.1
-link path=usr/lib/$(ARCH64)/libthread_db.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libthread_db.so \
     target=../../../lib/$(ARCH64)/libc_db.so.1
-link path=usr/lib/$(ARCH64)/libthread_db.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libthread_db.so.1 \
     target=../../../lib/$(ARCH64)/libc_db.so.1
-link path=usr/lib/$(ARCH64)/libtsnet.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libtsnet.so \
     target=../../../lib/$(ARCH64)/libtsnet.so.1
-link path=usr/lib/$(ARCH64)/libtsnet.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libtsnet.so.1 \
     target=../../../lib/$(ARCH64)/libtsnet.so.1
-link path=usr/lib/$(ARCH64)/libtsol.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libtsol.so \
     target=../../../lib/$(ARCH64)/libtsol.so.2
-link path=usr/lib/$(ARCH64)/libtsol.so.2 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libtsol.so.2 \
     target=../../../lib/$(ARCH64)/libtsol.so.2
-link path=usr/lib/$(ARCH64)/libumem.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libumem.so \
     target=../../../lib/$(ARCH64)/libumem.so.1
-link path=usr/lib/$(ARCH64)/libumem.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libumem.so.1 \
     target=../../../lib/$(ARCH64)/libumem.so.1
-link path=usr/lib/$(ARCH64)/libuuid.so \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libuuid.so \
     target=../../../lib/$(ARCH64)/libuuid.so.1
-link path=usr/lib/$(ARCH64)/libuuid.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libuuid.so.1 \
     target=../../../lib/$(ARCH64)/libuuid.so.1
-$(i386_ONLY)link path=usr/lib/$(ARCH64)/libuutil.so \
+$(i386_BUILD64)link path=usr/lib/$(ARCH64)/libuutil.so \
     target=../../../lib/$(ARCH64)/libuutil.so.1
-link path=usr/lib/$(ARCH64)/libuutil.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libuutil.so.1 \
     target=../../../lib/$(ARCH64)/libuutil.so.1
-$(sparc_ONLY)link path=usr/lib/$(ARCH64)/libv12n.so target=./libv12n.so.1
-link path=usr/lib/$(ARCH64)/libvolmgt.so target=libvolmgt.so.1
-link path=usr/lib/$(ARCH64)/libw.so target=../../../lib/$(ARCH64)/libw.so.1
-link path=usr/lib/$(ARCH64)/libw.so.1 target=../../../lib/$(ARCH64)/libw.so.1
-link path=usr/lib/$(ARCH64)/libwrap.so target=libwrap.so.1.0
-link path=usr/lib/$(ARCH64)/libwrap.so.1 target=libwrap.so.1.0
-link path=usr/lib/$(ARCH64)/libxnet.so \
+$(sparc_BUILD64)link path=usr/lib/$(ARCH64)/libv12n.so target=./libv12n.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libvolmgt.so target=libvolmgt.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libw.so \
+    target=../../../lib/$(ARCH64)/libw.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libw.so.1 \
+    target=../../../lib/$(ARCH64)/libw.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libwrap.so target=libwrap.so.1.0
+$(BUILD64)link path=usr/lib/$(ARCH64)/libwrap.so.1 target=libwrap.so.1.0
+$(BUILD64)link path=usr/lib/$(ARCH64)/libxnet.so \
     target=../../../lib/$(ARCH64)/libxnet.so.1
-link path=usr/lib/$(ARCH64)/libxnet.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/libxnet.so.1 \
     target=../../../lib/$(ARCH64)/libxnet.so.1
-link path=usr/lib/$(ARCH64)/liby.so target=liby.so.1
-link path=usr/lib/$(ARCH64)/libzoneinfo.so target=./libzoneinfo.so.1
-link path=usr/lib/$(ARCH64)/nss_compat.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/liby.so target=liby.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/libzoneinfo.so target=./libzoneinfo.so.1
+$(BUILD64)link path=usr/lib/$(ARCH64)/nss_compat.so.1 \
     target=../../../lib/$(ARCH64)/nss_compat.so.1
-link path=usr/lib/$(ARCH64)/nss_dns.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/nss_dns.so.1 \
     target=../../../lib/$(ARCH64)/nss_dns.so.1
-link path=usr/lib/$(ARCH64)/nss_files.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/nss_files.so.1 \
     target=../../../lib/$(ARCH64)/nss_files.so.1
-link path=usr/lib/$(ARCH64)/nss_nis.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/nss_nis.so.1 \
     target=../../../lib/$(ARCH64)/nss_nis.so.1
-link path=usr/lib/$(ARCH64)/nss_user.so.1 \
+$(BUILD64)link path=usr/lib/$(ARCH64)/nss_user.so.1 \
     target=../../../lib/$(ARCH64)/nss_user.so.1
-link path=usr/lib/$(ARCH64)/straddr.so target=straddr.so.2
+$(BUILD64)link path=usr/lib/$(ARCH64)/straddr.so target=straddr.so.2
 link path=usr/lib/32 target=.
-link path=usr/lib/64 target=$(ARCH64)
-link path=usr/lib/cfgadm/$(ARCH64)/ib.so target=./ib.so.1
-link path=usr/lib/cfgadm/$(ARCH64)/pci.so target=./pci.so.1
-$(i386_ONLY)link path=usr/lib/cfgadm/$(ARCH64)/sata.so target=./sata.so.1
-link path=usr/lib/cfgadm/$(ARCH64)/scsi.so target=./scsi.so.1
-link path=usr/lib/cfgadm/$(ARCH64)/shp.so target=./shp.so.1
-link path=usr/lib/cfgadm/$(ARCH64)/usb.so target=./usb.so.1
+$(BUILD64)link path=usr/lib/64 target=$(ARCH64)
+$(BUILD64)link path=usr/lib/cfgadm/$(ARCH64)/ib.so target=./ib.so.1
+$(BUILD64)link path=usr/lib/cfgadm/$(ARCH64)/pci.so target=./pci.so.1
+$(i386_BUILD64)link path=usr/lib/cfgadm/$(ARCH64)/sata.so target=./sata.so.1
+$(BUILD64)link path=usr/lib/cfgadm/$(ARCH64)/scsi.so target=./scsi.so.1
+$(BUILD64)link path=usr/lib/cfgadm/$(ARCH64)/shp.so target=./shp.so.1
+$(BUILD64)link path=usr/lib/cfgadm/$(ARCH64)/usb.so target=./usb.so.1
 link path=usr/lib/cfgadm/ib.so target=./ib.so.1
 link path=usr/lib/cfgadm/pci.so target=./pci.so.1
 $(i386_ONLY)link path=usr/lib/cfgadm/sata.so target=./sata.so.1
@@ -1181,12 +1191,12 @@
 link path=usr/lib/libxnet.so.1 target=../../lib/libxnet.so.1
 link path=usr/lib/liby.so target=./liby.so.1
 link path=usr/lib/libzoneinfo.so target=./libzoneinfo.so.1
-link path=usr/lib/lwp/$(ARCH64)/libthread.so.1 \
+$(BUILD64)link path=usr/lib/lwp/$(ARCH64)/libthread.so.1 \
     target=../../$(ARCH64)/libthread.so.1
-link path=usr/lib/lwp/$(ARCH64)/libthread_db.so.1 \
+$(BUILD64)link path=usr/lib/lwp/$(ARCH64)/libthread_db.so.1 \
     target=../../$(ARCH64)/libthread_db.so.1
 link path=usr/lib/lwp/32 target=.
-link path=usr/lib/lwp/64 target=$(ARCH64)
+$(BUILD64)link path=usr/lib/lwp/64 target=$(ARCH64)
 link path=usr/lib/lwp/libthread.so.1 target=../libthread.so.1
 link path=usr/lib/lwp/libthread_db.so.1 target=../libthread_db.so.1
 link path=usr/lib/nss_compat.so.1 target=../../lib/nss_compat.so.1
@@ -1194,56 +1204,65 @@
 link path=usr/lib/nss_files.so.1 target=../../lib/nss_files.so.1
 link path=usr/lib/nss_nis.so.1 target=../../lib/nss_nis.so.1
 link path=usr/lib/nss_user.so.1 target=../../lib/nss_user.so.1
-link path=usr/lib/scsi/$(ARCH64)/libscsi.so target=./libscsi.so.1
-link path=usr/lib/scsi/$(ARCH64)/libses.so target=./libses.so.1
-link path=usr/lib/scsi/$(ARCH64)/libsmp.so target=./libsmp.so.1
+$(BUILD64)link path=usr/lib/scsi/$(ARCH64)/libscsi.so target=./libscsi.so.1
+$(BUILD64)link path=usr/lib/scsi/$(ARCH64)/libses.so target=./libses.so.1
+$(BUILD64)link path=usr/lib/scsi/$(ARCH64)/libsmp.so target=./libsmp.so.1
 link path=usr/lib/scsi/libscsi.so target=./libscsi.so.1
 link path=usr/lib/scsi/libses.so target=./libses.so.1
 link path=usr/lib/scsi/libsmp.so target=./libsmp.so.1
-link path=usr/lib/security/$(ARCH64)/crypt_bsdbf.so target=./crypt_bsdbf.so.1
-link path=usr/lib/security/$(ARCH64)/crypt_bsdmd5.so \
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/crypt_bsdbf.so \
+    target=./crypt_bsdbf.so.1
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/crypt_bsdmd5.so \
     target=./crypt_bsdmd5.so.1
-link path=usr/lib/security/$(ARCH64)/crypt_sha256.so \
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/crypt_sha256.so \
     target=./crypt_sha256.so.1
-link path=usr/lib/security/$(ARCH64)/crypt_sha512.so \
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/crypt_sha512.so \
     target=./crypt_sha512.so.1
-link path=usr/lib/security/$(ARCH64)/crypt_sunmd5.so \
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/crypt_sunmd5.so \
     target=./crypt_sunmd5.so.1
-link path=usr/lib/security/$(ARCH64)/pam_allow.so target=./pam_allow.so.1
-link path=usr/lib/security/$(ARCH64)/pam_authtok_check.so \
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pam_allow.so \
+    target=./pam_allow.so.1
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pam_authtok_check.so \
     target=./pam_authtok_check.so.1
-link path=usr/lib/security/$(ARCH64)/pam_authtok_get.so \
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pam_authtok_get.so \
     target=./pam_authtok_get.so.1
-link path=usr/lib/security/$(ARCH64)/pam_authtok_store.so \
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pam_authtok_store.so \
     target=./pam_authtok_store.so.1
-link path=usr/lib/security/$(ARCH64)/pam_deny.so target=./pam_deny.so.1
-link path=usr/lib/security/$(ARCH64)/pam_dhkeys.so target=./pam_dhkeys.so.1
-link path=usr/lib/security/$(ARCH64)/pam_dial_auth.so \
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pam_deny.so \
+    target=./pam_deny.so.1
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pam_dhkeys.so \
+    target=./pam_dhkeys.so.1
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pam_dial_auth.so \
     target=./pam_dial_auth.so.1
-link path=usr/lib/security/$(ARCH64)/pam_ldap.so target=./pam_ldap.so.1
-link path=usr/lib/security/$(ARCH64)/pam_list.so target=./pam_list.so.1
-link path=usr/lib/security/$(ARCH64)/pam_passwd_auth.so \
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pam_ldap.so \
+    target=./pam_ldap.so.1
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pam_list.so \
+    target=./pam_list.so.1
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pam_passwd_auth.so \
     target=./pam_passwd_auth.so.1
-link path=usr/lib/security/$(ARCH64)/pam_rhosts_auth.so \
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pam_rhosts_auth.so \
     target=./pam_rhosts_auth.so.1
-link path=usr/lib/security/$(ARCH64)/pam_roles.so target=./pam_roles.so.1
-link path=usr/lib/security/$(ARCH64)/pam_sample.so target=./pam_sample.so.1
-link path=usr/lib/security/$(ARCH64)/pam_tsol_account.so \
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pam_roles.so \
+    target=./pam_roles.so.1
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pam_sample.so \
+    target=./pam_sample.so.1
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pam_tsol_account.so \
     target=./pam_tsol_account.so.1
-link path=usr/lib/security/$(ARCH64)/pam_unix_account.so \
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pam_unix_account.so \
     target=./pam_unix_account.so.1
-link path=usr/lib/security/$(ARCH64)/pam_unix_auth.so \
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pam_unix_auth.so \
     target=./pam_unix_auth.so.1
-link path=usr/lib/security/$(ARCH64)/pam_unix_cred.so \
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pam_unix_cred.so \
     target=./pam_unix_cred.so.1
-link path=usr/lib/security/$(ARCH64)/pam_unix_session.so \
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pam_unix_session.so \
     target=./pam_unix_session.so.1
-link path=usr/lib/security/$(ARCH64)/pkcs11_kernel.so \
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pkcs11_kernel.so \
     target=./pkcs11_kernel.so.1
-link path=usr/lib/security/$(ARCH64)/pkcs11_softtoken.so \
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pkcs11_softtoken.so \
     target=./pkcs11_softtoken.so.1
-link path=usr/lib/security/$(ARCH64)/pkcs11_tpm.so target=./pkcs11_tpm.so.1
-link path=usr/lib/security/64 target=$(ARCH64)
+$(BUILD64)link path=usr/lib/security/$(ARCH64)/pkcs11_tpm.so \
+    target=./pkcs11_tpm.so.1
+$(BUILD64)link path=usr/lib/security/64 target=$(ARCH64)
 link path=usr/lib/security/audit_binfile.so target=./audit_binfile.so.1
 link path=usr/lib/security/audit_remote.so target=./audit_remote.so.1
 link path=usr/lib/security/audit_syslog.so target=./audit_syslog.so.1
@@ -1276,8 +1295,8 @@
 link path=usr/lib/security/pkcs11_softtoken.so target=./pkcs11_softtoken.so.1
 link path=usr/lib/security/pkcs11_tpm.so target=./pkcs11_tpm.so.1
 link path=usr/lib/straddr.so target=./straddr.so.2
-link path=usr/xpg4/lib/$(ARCH64)/libcurses.so target=libcurses.so.2
-link path=usr/xpg4/lib/64 target=$(ARCH64)
+$(BUILD64)link path=usr/xpg4/lib/$(ARCH64)/libcurses.so target=libcurses.so.2
+$(BUILD64)link path=usr/xpg4/lib/64 target=$(ARCH64)
 link path=usr/xpg4/lib/libcurses.so target=./libcurses.so.2
 #
 # libses.so needs to dlopen(3C) plugins from usr/lib/scsi/plugins/ses/vendor/,
